Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dba.sybase
Class SybaseAdapter

    java.lang.Object
      org.apache.cayenne.dba.JdbcAdapter
          org.apache.cayenne.dba.sybase.SybaseAdapter

All Implemented Interfaces:
  DbAdapter

Direct Known Subclasses:
  SQLServerAdapter

    public class SybaseAdapter

extends JdbcAdapter

DbAdapter implementation for Sybase RDBMS.

Field Summary

Fields inherited from class org.apache.cayenne.dba.JdbcAdapter
`batchQueryBuilderFactory, caseInsensitiveCollations, CI_PROPERTY, ejbqlTranslatorFactory, extendedTypes, identifiersEndQuote, identifiersStartQuote, logger, resourceLocator, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, typesHandler`

Constructor Summary
`SybaseAdapter(RuntimeProperties runtimeProperties, java.util.List<ExtendedType> defaultExtendedTypes, java.util.List<ExtendedType> userExtendedTypes, java.util.List<ExtendedTypeFactory> extendedTypeFactories)`

Method Summary
`void` | `bindParameter(java.sql.PreparedStatement statement, java.lang.Object object, int pos, int sqlType, int precision)` Binds an object value to PreparedStatement's numbered parameter.
`protected void` | `configureExtendedTypes(ExtendedTypeMap map)` Installs appropriate ExtendedTypes as converters for passing values between JDBC and Java layers.
`protected EJBQLTranslatorFactory` | `createEJBQLTranslatorFactory()` Creates and returns an `EJBQLTranslatorFactory` used to generate visitors for EJBQL to SQL translations.
`protected PkGenerator` | `createPkGenerator()` Creates and returns a primary key generator.
`java.lang.String` | `getBatchTerminator()` Returns word "go".
`void` | `initIdentifiersQuotes()`
`MergerFactory` | `mergerFactory()`

Methods inherited from class org.apache.cayenne.dba.JdbcAdapter
`buildAttribute, createFkConstraint, createTable, createTableAppendColumn, createTableAppendPKClause, createUniqueConstraint, dropTableStatements, externalTypesForJdbcType, findResource, getAction, getBatchQueryBuilderFactory, getEjbqlTranslatorFactory, getExtendedTypes, getIdentifiersEndQuote, getIdentifiersStartQuote, getJdbcEventLogger, getPkGenerator, getQualifierTranslator, getQuotingStrategy, initExtendedTypes, setBatchQueryBuilderFactory, setEjbqlTranslatorFactory, setPkGenerator, setSupportsBatchUpdates, setSupportsGeneratedKeys, setSupportsUniqueConstraints, supportsBatchUpdates, supportsGeneratedKeys, supportsUniqueConstraints, tableTypeForTable, tableTypeForView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseAdapter

    public SybaseAdapter(RuntimeProperties runtimeProperties,
                         java.util.List<ExtendedType> defaultExtendedTypes,
                         java.util.List<ExtendedType> userExtendedTypes,
                         java.util.List<ExtendedTypeFactory> extendedTypeFactories)

Method Detail

### initIdentifiersQuotes

    public void initIdentifiersQuotes()

  Overrides:
    `initIdentifiersQuotes` in class `JdbcAdapter`
  Since:
    3.0

### createEJBQLTranslatorFactory

    protected EJBQLTranslatorFactory createEJBQLTranslatorFactory()

  Description copied from class: `JdbcAdapter`
  Creates and returns an `EJBQLTranslatorFactory` used to generate visitors for EJBQL to SQL translations. This method should be overriden by subclasses that need to customize EJBQL generation.

  Overrides:
    `createEJBQLTranslatorFactory` in class `JdbcAdapter`
  Since:
    3.0

### getBatchTerminator

    public java.lang.String getBatchTerminator()

  Returns word "go".

  Specified by:
    `getBatchTerminator` in interface `DbAdapter`
  Overrides:
    `getBatchTerminator` in class `JdbcAdapter`
  Since:
    1.0.4

### configureExtendedTypes

    protected void configureExtendedTypes(ExtendedTypeMap map)

  Installs appropriate ExtendedTypes as converters for passing values between JDBC and Java layers.

  Overrides:
    `configureExtendedTypes` in class `JdbcAdapter`

### createPkGenerator

    protected PkGenerator createPkGenerator()

  Creates and returns a primary key generator. Overrides superclass implementation to return an instance of SybasePkGenerator.

  Overrides:
    `createPkGenerator` in class `JdbcAdapter`

### bindParameter

    public void bindParameter(java.sql.PreparedStatement statement,
                              java.lang.Object object,
                              int pos,
                              int sqlType,
                              int precision)
                       throws java.sql.SQLException,
                              java.lang.Exception

  Description copied from interface: `DbAdapter`
  Binds an object value to PreparedStatement's numbered parameter.

  Specified by:
    `bindParameter` in interface `DbAdapter`
  Overrides:
    `bindParameter` in class `JdbcAdapter`
  Throws:
    `java.sql.SQLException`
    `java.lang.Exception`

### mergerFactory

    public MergerFactory mergerFactory()

  Specified by:
    `mergerFactory` in interface `DbAdapter`
  Overrides:
    `mergerFactory` in class `JdbcAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.